Bug 29533 - Redundant updated date gets displayed
Summary: Redundant updated date gets displayed
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: backend-yum (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-12 06:21 UTC by Mark J Cox
Modified: 2010-08-27 15:14 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
proposed patch (465 bytes, application/octet-stream)
2010-08-12 06:21 UTC, Mark J Cox
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark J Cox 2010-08-12 06:21:29 UTC
Created attachment 37814 [details]
proposed patch

Some repos have the 'updated' date on an advisory included in updateinfo.xml set even on the initial release, matching the 'issued' date.

In these cases the gpk GUI will display "This notification was issued on 08/05/2010 and updated on 08/05/2010" which could lead to confusion.

The following simple patch for the backend just blanks out the updated date if it is identical to the issue date.

Note in addition that client/pk-console.c will display field names such as 'cve' 'vendor' 'updated' even if blank.  I've not included a patch for this as it might be deliberate.
Comment 1 Mark J Cox 2010-08-12 08:30:04 UTC
note adding this patch is consistent with update_md.py which uses this logic in deciding to display the updated field:

        if self._md['updated'] and self._md['updated'] != self._md['issued']:
            head += "    Updated : %s" % self._md['updated']
Comment 2 Richard Hughes 2010-08-24 22:07:36 UTC
Looks good to me, thanks. I'll apply when I get back from holiday.
Comment 3 Richard Hughes 2010-08-27 15:14:26 UTC
Pushed, thanks. New upstream release in a week or so's time.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.